/**
 * XXXX
 * Inserte aquí la descripción del tipo.
 * Fecha de creación: (31/05/07)
 */   
package com.ejie.p06b.datatype.logic.pagination;

import java.io.Serializable;
import java.sql.ResultSet;

import com.ejie.p06b.general.P06BConstantes;
import com.ejie.p06b.general.P06BTablas;


/**
 * XXXX
 * Inserte aquí la descripción del tipo.
 * Fecha de creación: (09/05/07)
 */
public class P06BAtencionPeticionesPagination implements P06BIPagination, Serializable {
	
	private String correlativo = "";
	private String fecha = "";
	private String procedimiento = "";
	private String registryNumber = "";
	private String expediente = "";
	private String finalizada = "";
	private String estado = "";
	private String mensajeError = "";
	
	public P06BAtencionPeticionesPagination(){
	}
	
	public P06BAtencionPeticionesPagination(String correlativo, String fecha,
			String procedimiento, String registryNumber, String expediente,
			String finalizada, String estado, String mensajeError){
		this.correlativo = correlativo;
		this.fecha = fecha;
		this.procedimiento = procedimiento;
		this.registryNumber = registryNumber;
		this.expediente = expediente;
		this.finalizada = finalizada;
		this.estado = estado;
		this.mensajeError = mensajeError;
	}
	
	public Object getObj() throws Exception {
		return new P06BAtencionPeticionesPagination(this.correlativo, this.fecha,
				this.procedimiento, this.registryNumber, this.expediente,
				this.finalizada, this.estado, this.mensajeError);
	}
	/* (non-Javadoc)
	 * @see com.ejie.p06b.datatype.logic.pagination.P06BIPagination#setRS(java.sql.ResultSet)
	 */
	public void setRS(ResultSet rs) throws Exception {
		String correlativo = (rs.getString(P06BTablas.P06B_P06B64_AP_CORRELATENCPETIC)==null)?"":rs.getString(P06BTablas.P06B_P06B64_AP_CORRELATENCPETIC);
		String fecha = (rs.getString(P06BTablas.P06B_P06B64_AP_FECHA)==null)?"":rs.getString(P06BTablas.P06B_P06B64_AP_FECHA);
		String procedimiento = (rs.getString(P06BTablas.P06B_P06B64_AP_PROCEDIMIENTO)==null)?"":rs.getString(P06BTablas.P06B_P06B64_AP_PROCEDIMIENTO);
		String registryNumber = (rs.getString(P06BTablas.P06B_P06B64_AP_REGISTRYNUMBER)==null)?"":rs.getString(P06BTablas.P06B_P06B64_AP_REGISTRYNUMBER);
		String expediente = (rs.getString(P06BTablas.P06B_P06B64_AP_NUMEXP)==null)?"":rs.getString(P06BTablas.P06B_P06B64_AP_NUMEXP);
		String finalizada = (rs.getString(P06BTablas.P06B_P06B64_AP_FINALIZADA)==null)?"":rs.getString(P06BTablas.P06B_P06B64_AP_FINALIZADA);
		String estado = (rs.getString(P06BTablas.P06B_P06B64_AP_ESTADO)==null)?"":rs.getString(P06BTablas.P06B_P06B64_AP_ESTADO);
		String mensajeError = (rs.getString(P06BTablas.P06B_P06B64_AP_MENSAJEERROR)==null)?"":rs.getString(P06BTablas.P06B_P06B64_AP_MENSAJEERROR);
		//Acoto la longitud del campo mansaje error para el listado
		if(mensajeError.length()>20){
			mensajeError = mensajeError.substring(0,17);
			mensajeError += "...";
		}
		
		this.setCorrelativo(correlativo);
		this.setFecha(fecha);
		this.setProcedimiento(procedimiento);
		this.setRegistryNumber(registryNumber);
		this.setExpediente(expediente);
		this.setFinalizada(finalizada);
		this.setEstado(estado);
		this.setMensajeError(mensajeError);
	}

	/**
	 * @return the correlativo
	 */
	public String getCorrelativo() {
		return correlativo;
	}

	/**
	 * @param correlativo the correlativo to set
	 */
	public void setCorrelativo(String correlativo) {
		this.correlativo = correlativo;
	}

	/**
	 * @return the fecha
	 */
	public String getFecha() {
		return fecha;
	}

	/**
	 * @param fecha the fecha to set
	 */
	public void setFecha(String fecha) {
		this.fecha = fecha;
	}

	/**
	 * @return the procedimiento
	 */
	public String getProcedimiento() {
		return procedimiento;
	}

	/**
	 * @param procedimiento the procedimiento to set
	 */
	public void setProcedimiento(String procedimiento) {
		this.procedimiento = procedimiento;
	}

	/**
	 * @return the registryNumber
	 */
	public String getRegistryNumber() {
		return registryNumber;
	}

	/**
	 * @param registryNumber the registryNumber to set
	 */
	public void setRegistryNumber(String registryNumber) {
		this.registryNumber = registryNumber;
	}

	/**
	 * @return the expediente
	 */
	public String getExpediente() {
		return expediente;
	}

	/**
	 * @param expediente the expediente to set
	 */
	public void setExpediente(String expediente) {
		this.expediente = expediente;
	}

	/**
	 * @return the finalizada
	 */
	public String getFinalizada() {
		return finalizada;
	}

	/**
	 * @param finalizada the finalizada to set
	 */
	public void setFinalizada(String finalizada) {
		this.finalizada = finalizada;
	}

	/**
	 * @return the estado
	 */
	public String getEstado() {
		return estado;
	}

	/**
	 * @param estado the estado to set
	 */
	public void setEstado(String estado) {
		this.estado = estado;
	}

	/**
	 * @return the mensajeError
	 */
	public String getMensajeError() {
		return mensajeError;
	}

	/**
	 * @param mensajeError the mensajeError to set
	 */
	public void setMensajeError(String mensajeError) {
		this.mensajeError = mensajeError;
	}

	
	
}
